Core - List MCP servers
curl --get 'https://api.orq.ai/v2/mcp-servers' \
--header 'Authorization: Bearer $ORQ_API_KEY' \
--data-urlencode 'limit=25' \
--data-urlencode 'search=github'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const page = await client.mcpServers.list({
limit: 25,
search: 'github',
});
for (const server of page.data) {
console.log(server.key, server.syncState.toolsTotal);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
page = client.mcp_servers.list(
limit=25,
search="github",
)
for server in page.data:
print(server.key, server.sync_state.tools_total)
{
"object": "<string>",
"data": [
{
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
],
"has_more": true
}MCP Servers
List MCP servers
Returns a paginated list of MCP servers in the workspace.
GET
/
v2
/
mcp-servers
Core - List MCP servers
curl --get 'https://api.orq.ai/v2/mcp-servers' \
--header 'Authorization: Bearer $ORQ_API_KEY' \
--data-urlencode 'limit=25' \
--data-urlencode 'search=github'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const page = await client.mcpServers.list({
limit: 25,
search: 'github',
});
for (const server of page.data) {
console.log(server.key, server.syncState.toolsTotal);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
page = client.mcp_servers.list(
limit=25,
search="github",
)
for server in page.data:
print(server.key, server.sync_state.tools_total)
{
"object": "<string>",
"data": [
{
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
],
"has_more": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size between 1 and 200. Defaults to 25.
Cursor for the page after the given item id. Mutually exclusive with ending_before.
Cursor for the page before the given item id. Mutually exclusive with starting_after.
Case-insensitive match against the server key and display name.
Was this page helpful?
⌘I